import { html as p } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, i = (n, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, s) : t, o = n.length - 1, l; o >= 0; o--)
    (l = n[o]) && (e = (r ? l(t, s, e) : l(e)) || e);
  return r && e && m(t, s, e), e;
};
let a = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--canada", this.class = "c-pieIcon c-pieIcon--canada", this.name = "IconFlagCanada";
  }
  render() {
    return p`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--canada"><path fill="#EEE" d="M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14Z"></path><path fill="#D80027" d="M15 8a7 7 0 0 0-3.957-6.305v12.61A7 7 0 0 0 15 8ZM1 8a7 7 0 0 0 3.957 6.306V1.694A7 7 0 0 0 1 8Zm8.217.913 1.217-.612L9.827 8v-.61L8.61 8l.607-1.217H8.61L8 5.867l-.61.914h-.607l.607 1.216-1.217-.61V8l-.607.304 1.217.61-.306.61h1.222v.91h.602v-.91h1.22l-.304-.61Z"></path></svg>`;
  }
};
i([
  c({ type: String, reflect: !0 })
], a.prototype, "size", 2);
i([
  c({ type: String, reflect: !0 })
], a.prototype, "class", 2);
a = i([
  f("icon-flag-canada")
], a);
export {
  a as IconFlagCanada
};
